/Users/bernard/b20/bsoft/src/bsplit.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bsplit.cpp - Program to seperate a multi-image file into individual image files.

SYNOPSIS

#include 'rwimg.h'
#include 'Bstring.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to seperate a multi-image file into individual image files.

Author:
    Bernard Heymann

Date:
    Created: 20001026

    Modified: 20110804

Definition in file bsplit.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 42 of file bsplit.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bsplit [options] input.img output.img",
"--------------------------------------------",
"Splits multi-image files of the following formats:",
"Digital Instruments (di), Imagic (img), Image Magick (miff), PIF (pif)",
"SPIDER (spi), TIFF (tif), RAW (raw).",
"Files of single image 3D image formats can be split with the -images option.",
" ",
"Actions:",
"-images                  Interpret slices of a single 3D image as 2D images.",
"-invert                  Invert density in the image.","-reslice -z+xy           Reslice = switch axes (default xyz).",
"-select 1,5-13,122       Sub-images to select (first image = 0, default all).",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-first 5                 Number given to the first file (default 0).",
"-digits 3                Number of digits inserted before the last period in the output file name.",
" ",
NULL
}

Definition at line 19 of file bsplit.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.